#!/bin/sh

SERVICES="asp-admin-5100 asp-apache-3000 crond httpd inet named postgresql sendmail snmpd syslog"

if [ `basename $0` != "start_services.sh" ]; then

  for service in $SERVICES; do
    /etc/rc.d/init.d/$service stop
  done
else
  for service in $SERVICES; do
    if ls /etc/rc.d/rc3.d/S* | grep --quiet $service; then
      /etc/rc.d/init.d/$service start
    fi
  done
fi 


